> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get service providers for selling eDaler

## Overview

Allows the client to retrieve a list of available service providers that can be used to sell eDaler.

## HTTP request

`POST /Agent/Wallet/GetServiceProvidersForSellingEDaler`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
}
```

## Response (JSON)

```json theme={null}
{
	"Providers":
	{
		"id": Required(Str(PId)),
		"type": Required(Str(PType)),
		"name": Required(Str(PName)),
		"iconUrl": Optional(Str(PIconUrl)),
		"iconWidth": Optional(Int(PIconWidth)),
		"iconHeight": Optional(Int(PIconHeight)),
		"templateId": Optional(Str(PTemplateId))
	}?[]
}
```

## Response parameters

| Parameter   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| PId         | ID of service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| PType       | Type (class name) of service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| PName       | Displayable name for service provider.                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| PIconUrl    | Optional reference to icon that can be displayed together with the name.                                                                                                                                                                                                                                                                                                                                                                                                             |
| PIconWidth  | Width of optional icon.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| PIconHeight | Height of optional icon.                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| PTemplateId | Reference to optional smart contract. If provided, a smart contract needs to be created based on this template, and then signed by the client, to sell eDaler using the service provider. The contract contains necessary parameters and information for the service provider to be able to process the request. If a contract template is not provided, it can be assumed the service provider will collect the information via a web page, that the client must open and complete. |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
